#ifndef CAR_H
#define CAR_H

#include "Passenger.h"

class Car {

 public:
  Car();
  Car(string make, string model, int seats, int mpg);
  Car(const Car& car);

  ~Car();

  string GetMake() const;
  string GetModel() const;
  int GetSeats() const;
  int GetMpg() const;
  int GetSeatsTaken() const;
  Passenger *GetPassengers() const;

  void SetMake(string make);
  void SetModel(string model);
  void SetMpg(int mpg);
  void SetSeats(int numSeats);
  void AddPassenger(Passenger passenger);

  friend ostream& operator <<(ostream& sout, const Car& car);
  Car& operator =(const Car& car);

 private:
  string m_make;
  string m_model;
  int m_seats;
  int m_seatsTaken;
  int m_mpg;
  Passenger *m_passengersPtr;
};




#endif
